DROP TABLE IF EXISTS FILE_MANAGEMENT;
CREATE TABLE FILE_MANAGEMENT  (
	FILE_ID BIGINT(128) NOT NULL PRIMARY KEY,
	FILE_NAME VARCHAR(256),
	FILE_CONFIG_TYPE VARCHAR(100) NOT NULL,
	FILE_STATUS VARCHAR(100) NOT NULL,
	FILE_CONFIG_ID INT(128) NOT NULL,
	REC_FILTER_HASH VARCHAR(256) NOT NULL,
	NUM_OF_RECORDS INT(10),
	CREATE_TS TIMESTAMP DEFAULT '0000-00-00 00:00:00',
	UPDATE_TS TIMESTAMP DEFAULT now() ON UPDATE now(),
	KEY idx_fileconfig_status(file_config_type,file_status)
) ENGINE=InnoDB;
